Package com.enonic.xp.form

## Class FormItemPath

- java.lang.Object
- - com.enonic.xp.form.FormItemPath

- All Implemented Interfaces:
    `Iterable<String>`

      @PublicApi
      public final class FormItemPath
      extends Object
      implements Iterable<String>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static FormItemPath` | `ROOT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormItemPath​(FormItemPath parentPath, String name)` | Deprecated.
    `FormItemPath​(ImmutableList<String> elementNames)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FormItemPath` | `asNewWithoutFirstPathElement()` |
    `int` | `elementCount()` |
    `boolean` | `equals​(Object o)` |
    `static FormItemPath` | `from​(FormItemPath parentPath, String name)` |
    `static FormItemPath` | `from​(Iterable<String> pathElements)` |
    `static FormItemPath` | `from​(String path)` |
    `ImmutableList<String>` | `getElements()` |
    `String[]` | `getElementsAsArray()` |
    `String` | `getFirstElement()` |
    `String` | `getLastElement()` |
    `FormItemPath` | `getParent()` |
    `int` | `hashCode()` |
    `static boolean` | `hasNotPathElementDivider​(String s)` |
    `Iterator<String>` | `iterator()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### ROOT

          public static final FormItemPath ROOT

  - ### Constructor Detail

    - #### FormItemPath

          @Deprecated
          public FormItemPath​(FormItemPath parentPath,
                              String name)

      Deprecated.

    - #### FormItemPath

          @Deprecated
          public FormItemPath​(ImmutableList<String> elementNames)

      Deprecated.

  - ### Method Detail

    - #### from

          public static FormItemPath from​(FormItemPath parentPath,
                                          String name)

    - #### from

          public static FormItemPath from​(Iterable<String> pathElements)

    - #### from

          public static FormItemPath from​(String path)

    - #### getParent

          public FormItemPath getParent()

    - #### getFirstElement

          public String getFirstElement()

    - #### getLastElement

          public String getLastElement()

    - #### elementCount

          public int elementCount()

    - #### getElements

          public ImmutableList<String> getElements()

    - #### getElementsAsArray

          public String[] getElementsAsArray()

    - #### asNewWithoutFirstPathElement

          public FormItemPath asNewWithoutFirstPathElement()

    - #### iterator

          public Iterator<String> iterator()

      Specified by:
        `iterator` in interface `Iterable<String>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hasNotPathElementDivider

          public static boolean hasNotPathElementDivider​(String s)